[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.Compare

Comparison 2 custom variant values

## Declaration

Source position: variants.pp line 208

`public procedure TCustomVariantType.Compare(`
`const Left: tvardata;`
`const Right: tvardata;`
`var Relationship: TVarCompareResult`
`); virtual;`

## Arguments

`Left` |  | Left operand
`Right` |  | Right operand
`Relationship` |  | Relationship to test

## Description

Compare performs the comparison specified in Operation on left and Right and returns the result of the comparison. The TCustomVariantType implementation of this method raises an 'unsupported' error. Descendent classes must override this method.

## Errors

If a descendent does not override this, an 'unsupported' error is raised.

## See also

TCustomVariantType.CompareOp |  | Check result of a comparison between 2 custom variant values
TCustomVariantType.UnaryOp |  | Perform a unary mathematical operation
TCustomVariantType.binaryOp |  | Perform a binary mathematical operation